Subject: Re: [hiprg] 回复:Re: HIPRG charter discussion

From: Andrei Gurtov <[email-masked]>
Date: Fri, 30 Sep 2011 12:36:14 +0300

Hi,

Are you planning to present something at Taipei HIPRG?

BR
Andrei

On 16.6.2011 6:56, xuxiaohu 41208 wrote:
> ----- 原邮件 ----- 发件人: Andrei Gurtov <[email-masked]> 日期: 星期二, 六月 14
> 日, 2011 下午6:21 主题: Re: [hiprg] HIPRG charter discussion 收件人: Xu
> Xiaohu <[email-masked]> 抄送: "'Henderson, Thomas R'"
> <[email-masked]>, [email-masked],
> [email-masked]
> 
>> 
>> Hei Xiaohu,
>> 
>> That's an interesting topic, but there should be interest of
>> several organizations to discuss and develop it jointly at HIPRG.
>> Can you thinkof others who would be willing to commit to this
>> topic for a coupleyears? Maybe China mobile, Tsinghua
>> University?
> 
> Hi Andrei,
> 
> Thanks for your suggestion and reminder. I will discuss about this
> with several mobile service providers and universities which had
> shown me their interests on this topic before.
> 
> Best regards, Xiaohu
> 
>> 
>> Andrei
>> 
>> Xu Xiaohu wrote:
>>> Hi Tom and all,
>>> 
>>> I propose to consider taking the hierarchical HIT research as a
>>> 
>> new charter
>>> item. IMHO, there are at least two major benefits of using
>> hierarchical HITs
>>> from the commercial deployment perspectives:
>>> 
>>> First, the ID/HIT registration management service and the
>>> ID-to-
>> Locator> mapping service corresponding to the hierarchical HITs 
>> could be run in a
>>> hierarchical manner. In other words, such global mobility
>> management service
>>> systems could be operated by different countries and different
>>> 
>> operators> with clear administrative domain boundaries and 
>> reasonable business models,
>>> just like the telephone number space in the telephone network
>> and the home
>>> address space in the mobile IP network. In addition, the
>> existing DNS
>>> infrastructure doesn't need to be changed largely. That's to
>> say, HITs of
>>> the HIP hosts could be stored directly as their corresponding
>> AAAA RRs in
>>> the existing DNS infrastructure.
>>> 
>>> Second, the usage of hierarchical HITs will ease the transition
>>> 
>> for HIP. For
>>> instance, legacy IPv6 hosts could access mobile HIP hosts via
>> provider-owned
>>> HIP proxy devices (just as home agents in the mobile IP
>>> network)
>> since the
>>> hierarchical HITs could be routable in the Internet. On the
>> contrary,> ORCHIDs are not routable in the Internet since there
>> is no reasonable
>>> business motivation for operators to deploy HIP proxy devices
>> for such flat
>>> identifiers.
>>> 
>>> There has been some proposals and presentations discussing
>>> about hierarchical HITs in HIPRG before as follows: 
>>> http://tools.ietf.org/html/draft-xu-hip-hierarchical-02 
>>> http://tools.ietf.org/html/draft-kuptsov-hhit-02 
>>> http://tools.ietf.org/html/draft-xu-rangi-04
>>> 
>>> By the way, we have implemented the RANGI 
>>> (http://tools.ietf.org/html/draft-xu-rangi-04) prototype which
>>> 
>> uses a
>>> hierarchical and cryptographic host IDs with
>>> delegation-oriented
>> structure.> Hope we could have a chance to show the
>> implementation details and
>>> verification results at the forthcoming IETF meeting in Quebec
>>> City.
>>> 
>>> Best regards, Xiaohu
>>> 
>>> 
>>>> -----邮件原件----- 发件人: [email-masked]
>>>> [mailto:[email-masked]] 代表 Henderson, Thomas R 发送时间:
>>>> 2011年6月6日 22:49 收件人: [email-masked] 抄送:
>>>> [email-masked]' 主题: [hiprg] HIPRG charter discussion
>>>> 
>>>> With the completion of the experiment report (our main RG
>> charter item
>>> since
>>>> the RG's inception), I would like to ask about future
>> directions of the
>>> RG.
>>>> Outside of completing our current RG drafts, we need to try
>>>> to
>> define some
>>>> new collaborative work items and define what role the RG will
>>>> play
>>> relative to
>>>> the WG.
>>>> 
>>>> These work items should ideally satisfy the following
>>>> criteria: - is the research area clear and relevant for the
>>>> Internet
>> community and
>>> for
>>>> HIP in particular?  What are the expected outcomes and
>>>> impact? - will the RG foster work that would not be done
>>>> otherwise?
>> For instance,
>>>> participation drawn from more than a single institution or
>> country.  Can
>>> we
>>>> try to identify individuals for this anticipated
>>>> participation?
>>>> 
>>>> We can have some discussion of this at the next meeting but I
>>>> 
>> would like
>>> to see
>>>> whether we can start identifying some topics on the list
>>>> before the
>>> meeting.
>>>> - Tom _______________________________________________ hiprg
>>>> mailing list [email-masked] 
>>>> https://www.irtf.org/mailman/listinfo/hiprg
>>>